Name:           perl-AnyEvent-XMPP
Version:        0.51
Release:        1%{?dist}
Summary:        Implementation of the XMPP Protocol
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/AnyEvent-XMPP/
Source0:        http://www.cpan.org/authors/id/E/EL/ELMEX/AnyEvent-XMPP-%{version}.tar.gz
Patch0:         AnyEvent-XMPP-0.51-timezone.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(AnyEvent)
BuildRequires:  perl(AnyEvent::Handle)
BuildRequires:  perl(AnyEvent::Socket)
BuildRequires:  perl(Authen::SASL)
BuildRequires:  perl(Digest::SHA1)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Net::LibIDN)
BuildRequires:  perl(Object::Event)
BuildRequires:  perl(XML::Parser::Expat)
BuildRequires:  perl(XML::Writer)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
AnyEvent::XMPP - An implementation of the XMPP Protocol.


%prep
%setup -q -n AnyEvent-XMPP-%{version}
%patch0 -p1 -b .timezone

# Filter requires
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
sed -e '/perl(AnyEvent::XMPP::Client)/d' |\
sed -e '/perl(AnyEvent::XMPP::Connection)/d' |\
sed -e '/perl(AnyEvent::XMPP::Error)/d' |\
sed -e '/perl(AnyEvent::XMPP::Error::Exception)/d' |\
sed -e '/perl(AnyEvent::XMPP::Error::IQ)/d' |\
sed -e '/perl(AnyEvent::XMPP::Error::IQAuth)/d' |\
sed -e '/perl(AnyEvent::XMPP::Error::MUC)/d' |\
sed -e '/perl(AnyEvent::XMPP::Error::Message)/d' |\
sed -e '/perl(AnyEvent::XMPP::Error::Parser)/d' |\
sed -e '/perl(AnyEvent::XMPP::Error::Presence)/d' |\
sed -e '/perl(AnyEvent::XMPP::Error::Register)/d' |\
sed -e '/perl(AnyEvent::XMPP::Error::SASL)/d' |\
sed -e '/perl(AnyEvent::XMPP::Error::Stanza)/d' |\
sed -e '/perl(AnyEvent::XMPP::Error::Stream)/d' |\
sed -e '/perl(AnyEvent::XMPP::Ext)/d' |\
sed -e '/perl(AnyEvent::XMPP::Ext::DataForm)/d' |\
sed -e '/perl(AnyEvent::XMPP::Ext::Disco::Info)/d' |\
sed -e '/perl(AnyEvent::XMPP::Ext::Disco::Items)/d' |\
sed -e '/perl(AnyEvent::XMPP::Ext::MUC::Message)/d' |\
sed -e '/perl(AnyEvent::XMPP::Ext::MUC::Room)/d' |\
sed -e '/perl(AnyEvent::XMPP::Ext::MUC::RoomInfo)/d' |\
sed -e '/perl(AnyEvent::XMPP::Ext::MUC::User)/d' |\
sed -e '/perl(AnyEvent::XMPP::Ext::OOB)/d' |\
sed -e '/perl(AnyEvent::XMPP::Ext::RegisterForm)/d' |\
sed -e '/perl(AnyEvent::XMPP::Extendable)/d' |\
sed -e '/perl(AnyEvent::XMPP::IM::Account)/d' |\
sed -e '/perl(AnyEvent::XMPP::IM::Connection)/d' |\
sed -e '/perl(AnyEvent::XMPP::IM::Contact)/d' |\
sed -e '/perl(AnyEvent::XMPP::IM::Delayed)/d' |\
sed -e '/perl(AnyEvent::XMPP::IM::Message)/d' |\
sed -e '/perl(AnyEvent::XMPP::IM::Presence)/d' |\
sed -e '/perl(AnyEvent::XMPP::IM::Roster)/d' |\
sed -e '/perl(AnyEvent::XMPP::Namespaces)/d' |\
sed -e '/perl(AnyEvent::XMPP::Node)/d' |\
sed -e '/perl(AnyEvent::XMPP::Parser)/d' |\
sed -e '/perl(AnyEvent::XMPP::SimpleConnection)/d' |\
sed -e '/perl(AnyEvent::XMPP::Util)/d' |\
sed -e '/perl(AnyEvent::XMPP::Writer)/d'
EOF

%define __perl_requires %{_builddir}/AnyEvent-XMPP-%{version}/%{name}-req
chmod +x %{__perl_requires}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes CONTRIBUTORS README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Fri Jan 15 2010 Allisson Azevedo <allisson@gmail.com> - 0.51-1
- Update to 0.51

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Feb 27 2009 Allisson Azevedo <allisson@gmail.com> 0.4-1
- Initial rpm release.
